/*******************************************************************************
* File Name: PWM_IDAC_LS_PM.c
* Version 2.10
*
* Description:
*  This file contains the setup, control, and status commands to support
*  the component operations in the low power mode.
*
* Note:
*  None
*
********************************************************************************
* Copyright 2013-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "PWM_IDAC_LS.h"

static PWM_IDAC_LS_BACKUP_STRUCT PWM_IDAC_LS_backup;


/*******************************************************************************
* Function Name: PWM_IDAC_LS_SaveConfig
********************************************************************************
*
* Summary:
*  All configuration registers are retention. Nothing to save here.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_IDAC_LS_SaveConfig(void)
{

}


/*******************************************************************************
* Function Name: PWM_IDAC_LS_Sleep
********************************************************************************
*
* Summary:
*  Stops the component operation and saves the user configuration.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_IDAC_LS_Sleep(void)
{
    if(0u != (PWM_IDAC_LS_BLOCK_CONTROL_REG & PWM_IDAC_LS_MASK))
    {
        PWM_IDAC_LS_backup.enableState = 1u;
    }
    else
    {
        PWM_IDAC_LS_backup.enableState = 0u;
    }

    PWM_IDAC_LS_Stop();
    PWM_IDAC_LS_SaveConfig();
}


/*******************************************************************************
* Function Name: PWM_IDAC_LS_RestoreConfig
********************************************************************************
*
* Summary:
*  All configuration registers are retention. Nothing to restore here.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_IDAC_LS_RestoreConfig(void)
{

}


/*******************************************************************************
* Function Name: PWM_IDAC_LS_Wakeup
********************************************************************************
*
* Summary:
*  Restores the user configuration and restores the enable state.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_IDAC_LS_Wakeup(void)
{
    PWM_IDAC_LS_RestoreConfig();

    if(0u != PWM_IDAC_LS_backup.enableState)
    {
        PWM_IDAC_LS_Enable();
    }
}


/* [] END OF FILE */
